## django-filter 0.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-filter.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-filter.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-filter"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-filter"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## django-filter 0.5.3

=== debian/changelog ===
django-filter (0.5.3-1) unstable; urgency=low

  * Initial release. Closes: #619195.

 -- Brian May <bam@debian.org>  Mon, 28 Mar 2011 13:41:07 +1100

=== debian/control ===
Source: django-filter
Section: python
Priority: optional
Maintainer: Brian May <bam@debian.org>
Build-Depends: debhelper (>=7.0.0), python (>= 2.4), python-support (>= 0.6), cdbs (>= 0.4.49), python-setuptools
Standards-Version: 3.9.1

Package: django-filter
Architecture: all
Homepage: http://github.com/alex/django-filter
Depends: ${misc:Depends}, ${python:Depends}, python-django
Description: Django library for filtering Django QuerySets based on user selections
 A reusable Django application for allowing programmers to filter queryset
 dynamically.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_PYTHON_SYSTEM := pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

install/django-ajax-selects::
	rm debian/django-ajax-selects/usr/lib/python2.6/site-packages/ajax_select/LICENSE.txt

## django-filter 0.6

=== debian/changelog ===
django-filter (0.6-3) unstable; urgency=low

  * python-django-filters-doc now has have Breaks+Replaces:
    python-django-filter-doc (<< 0.6-2). Closes: #720046.

 -- Brian May <bam@debian.org>  Fri, 02 Aug 2013 15:47:04 +1000

django-filter (0.6-2) unstable; urgency=low

  * Rename python-django-filter to python-django-filters to make
    it compliant with Debian Python policy.
  * Provide transitional dummy package.

 -- Brian May <bam@debian.org>  Fri, 02 Aug 2013 11:42:17 +1000

django-filter (0.6-1) unstable; urgency=low

  [ Michael Fladischer ]
  * New upstream release.
  * Set DPMT as Uploaders.
  * Switch to dh_python2.
  * Bump Standards version to 3.9.4.
  * Bump debhelper Build-Depends to >= 8.1.0~.
  * Rename to python-django-filter, provide transitional dummy package
  * Build documentation with sphinx and move it to separate package
    python-django-filter-doc.
  * Drop patches.
  * Change short and long description.
  * Make dependencies on python-django versioned.
  * Drop debian/pycompat.
  * Add X-Python-Version.
  * Use DEP5 format for d/copyright.
    django-filter.
  * Add d/watch file.
  * Move Homepage field to source section.

 -- Brian May <bam@debian.org>  Mon, 17 Jun 2013 13:53:11 +1000

django-filter (0.5.3-3) unstable; urgency=low

  * Clean out debian/patches/debian-changes-0.5.3-2 and fix FTBS.
    Closes: #643092.
  * Increase standards version to 3.9.2 from 3.9.1
  * Add patch from upstream to make XMLField optional.

 -- Brian May <bam@debian.org>  Wed, 12 Oct 2011 09:50:46 +1100

django-filter (0.5.3-2) unstable; urgency=low

  * Remove redundant line from debian/rules.

 -- Brian May <bam@debian.org>  Fri, 08 Apr 2011 10:41:00 +1000

=== debian/control ===
Source: django-filter
Section: python
Priority: optional
Maintainer: Brian May <bam@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>=8.1.0),
               python-all (>= 2.6.6-3~),
               python-django (>= 1.4.5),
               python-setuptools
Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: http://github.com/alex/django-filter
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-filter/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-filter/trunk/

Package: python-django-filters
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.4.5)
Suggests: python-django-filters-doc
Replaces: django-filter (<< 0.6), python-django-filter (<< 0.6-2)
Breaks: django-filter (<< 0.6), python-django-filter (<< 0.6-2)
Description: filter Django QuerySets based on user selections
 Django-filter is a generic, reusable application to alleviate some of the more
 mundane bits of view code. Specifically allowing the users to filter down a
 queryset based on a model’s fields and displaying the form to let them do this.

Package: python-django-filters-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Replaces: python-django-filter-doc (<< 0.6-2)
Breaks: python-django-filter-doc (<< 0.6-2)
Description: filter Django QuerySets based on user selections (Documentation)
 Django-filter is a generic, reusable application to alleviate some of the more
 mundane bits of view code. Specifically allowing the users to filter down a
 queryset based on a model’s fields and displaying the form to let them do this.
 .
 This package contains the documentation.

Package: django-filter
Depends: python-django-filters, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: filter Django QuerySets based on user selections (transitional package)
 This is a dummy package to aid switching to python-django-filters.

Package: python-django-filter
Depends: python-django-filters, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: filter Django QuerySets based on user selections (transitional package)
 This is a dummy package to aid switching to python-django-filters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2,sphinxdoc

.PHONY: override_dh_auto_build
override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

## django-filter 0.7

=== debian/changelog ===
django-filter (0.7-4) unstable; urgency=low

  * Add patch to fix tests in Django 1.7. Closes: #755635.

 -- Brian May <bam@debian.org>  Mon, 11 Aug 2014 10:05:52 +1000

django-filter (0.7-3) unstable; urgency=low

  * Python3 package.

 -- Brian May <bam@debian.org>  Thu, 03 Jul 2014 13:55:03 +1000

django-filter (0.7-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Fri, 04 Apr 2014 09:40:31 +1100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Brian May <bam@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>=8.1.0),
-               python-all (>= 2.6.6-3~),
-               python-django (>= 1.4.5),
-               python-setuptools
+Build-Depends: debhelper (>=8.1.0), dh-python,
+ python-all (>= 2.6.6-3~), python-django (>= 1.4.5), python-setuptools,
+ python3-all, python3-django (>= 1.4.5), python3-setuptools,
+ python-mock, python3-mock
 Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: http://github.com/alex/django-filter
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-filter/trunk/
@@ -20,6 +20,15 @@
 Suggests: python-django-filters-doc
 Replaces: django-filter (<< 0.6), python-django-filter (<< 0.6-2)
 Breaks: django-filter (<< 0.6), python-django-filter (<< 0.6-2)
+Description: filter Django QuerySets based on user selections
+ Django-filter is a generic, reusable application to alleviate some of the more
+ mundane bits of view code. Specifically allowing the users to filter down a
+ queryset based on a model’s fields and displaying the form to let them do this.
+
+Package: python3-django-filters
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, python3-django (>= 1.4.5)
+Suggests: python-django-filters-doc
 Description: filter Django QuerySets based on user selections
  Django-filter is a generic, reusable application to alleviate some of the more
  mundane bits of view code. Specifically allowing the users to filter down a

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-filters

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

.PHONY: override_dh_auto_build
override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

.PHONY: override_dh_auto_test
override_dh_auto_test:
	python2 ./runtests.py
	python3 ./runtests.py

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/d/django-filter/django-filter-([\d\.]+)\.tar\.gz

## django-filter 0.9.2

=== debian/changelog ===
django-filter (0.9.2-1) unstable; urgency=medium

  * New upstream version.
  * Source package comes with prebuilt docs which include jquery.js and
    underscore.js, so provide sources to keep Lintian happy. Note none of these
    files are not used for the built Debian package.

 -- Brian May <bam@debian.org>  Fri, 10 Apr 2015 10:38:43 +1000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all, python3-django (>= 1.4.5), python3-setuptools,
  python-mock, python3-mock
 Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 Homepage: http://github.com/alex/django-filter
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-filter/trunk/

## django-filter 0.11.0

=== debian/changelog ===
django-filter (0.11.0-2) unstable; urgency=medium

  * Run tests for all Python 3.*

 -- Brian May <bam@debian.org>  Mon, 26 Oct 2015 13:00:58 +1100

django-filter (0.11.0-1) unstable; urgency=medium

  * New upstream version.
  * Add fix_tests.patch, applied upstream see
    https://github.com/alex/django-filter/pull/287
    Closes: #796754: FTBFS: test_filtering_uses_distinct raises AttributeError

 -- Brian May <bam@debian.org>  Mon, 24 Aug 2015 11:52:41 +1000

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 Homepage: http://github.com/alex/django-filter
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-filter/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-filter/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-filter.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-filter.git
 
 Package: python-django-filters
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,4 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
-	python2 ./runtests.py
-	python3 ./runtests.py
+	dh_auto_test -- --system=custom --test-args="{interpreter} ./runtests.py"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-filter/django-filter-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-filter 0.13.0

=== debian/changelog ===
django-filter (0.13.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https)

  [ Brian May ]
  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 06 Apr 2016 12:39:17 +1000

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
-Homepage: http://github.com/alex/django-filter
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-filter.git
+Homepage: https://github.com/alex/django-filter
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-filter.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-filter.git
 
 Package: python-django-filters

## django-filter 1.0.4

=== debian/changelog ===
django-filter (1.0.4-1) unstable; urgency=medium

  [ Brian May ]
  * Remove broken symlink. Closes: #857825.
  * Fix minor lintian warnings.
  * New upstream version. Closes: #865802, closes: #863024.

  [ Michael Fladischer ]
  * Add python(3)-djangorestframework and python(3)-django-crispy-forms
    to Build-Depends so tests can run successfully.
  * Clean up modified files in docs/.build and django_filter.egg-info to
    allow two builds in a row.
  * Use https:// for copyright-format 1.0 URL.
  * Reformat packaging files with cme for better readability and remove
    unnecessary versioned dependencies.
  * Add unique parts to short and long descriptions.
  * Switch to python3-sphinx.
  * Rebuild all django.mo files from source using python3-babel.
  * Add patch to fix value of Language fields for django.po files.

 -- Brian May <bam@debian.org>  Sat, 29 Jul 2017 17:09:04 +1000

=== debian/control ===
Source: django-filter
Maintainer: Brian May <bam@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>=10),
               dh-python,
               python-all,
               python-django,
               python-django-crispy-forms,
               python-djangorestframework,
               python-mock,
               python-setuptools,
               python3-all,
               python3-django,
               python3-django-crispy-forms,
               python3-djangorestframework,
               python3-mock,
               python3-setuptools,
               python3-sphinx-rtd-theme
Build-Depends-Indep: libjs-jquery,
                     python3-babel,
                     python3-sphinx
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-filter.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-filter.git
Homepage: https://github.com/alex/django-filter
X-Python-Version: >= 2.6

Package: python-django-filters
Architecture: all
Depends: python-django,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-django-filters-doc
Breaks: django-filter (<< 0.6),
        python-django-filter (<< 0.6-2)
Replaces: django-filter (<< 0.6),
          python-django-filter (<< 0.6-2)
Description: filter Django QuerySets based on user selections (Python2 version)
 Django-filter is a generic, reusable application to alleviate some of the more
 mundane bits of view code. Specifically allowing the users to filter down a
 queryset based on a model’s fields and displaying the form to let them do this.
 .
 This package contains the Python 2 version of the library.


Package: python3-django-filters
Architecture: all
Depends: python3-django,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-django-filters-doc
Description: filter Django QuerySets based on user selections (Python3 version)
 Django-filter is a generic, reusable application to alleviate some of the more
 mundane bits of view code. Specifically allowing the users to filter down a
 queryset based on a model’s fields and displaying the form to let them do this.
 .
 This package contains the Python 3 version of the library.

Package: python-django-filters-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Breaks: python-django-filter-doc (<< 0.6-2)
Replaces: python-django-filter-doc (<< 0.6-2)
Description: filter Django QuerySets based on user selections (Documentation)
 Django-filter is a generic, reusable application to alleviate some of the more
 mundane bits of view code. Specifically allowing the users to filter down a
 queryset based on a model’s fields and displaying the form to let them do this.
 .
 This package contains the documentation.

Package: django-filter
Architecture: all
Section: oldlibs
Priority: extra
Depends: python-django-filters,
         ${misc:Depends}
Description: filter Django QuerySets based on user selections (transitional package)
 This is a dummy package to aid switching to python-django-filters.

Package: python-django-filter
Architecture: all
Section: oldlibs
Priority: extra
Depends: python-django-filters,
         ${misc:Depends}
Description: filter Django QuerySets based on user selections (transitional package)
 This is a dummy package to aid switching to python-django-filters.

## django-filter 1.1.0

=== debian/changelog ===
django-filter (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Refresh patches

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 10 Jan 2018 10:50:46 -0200

django-filter (1.0.4-2) unstable; urgency=medium

  * Drop transitional packages django-filter and python-django-filter.
    Closes: #878389.

 -- Brian May <bam@debian.org>  Tue, 31 Oct 2017 07:53:45 +1100

=== debian/control ===
--- 
+++ 
@@ -71,21 +71,3 @@
  queryset based on a model’s fields and displaying the form to let them do this.
  .
  This package contains the documentation.
-
-Package: django-filter
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: python-django-filters,
-         ${misc:Depends}
-Description: filter Django QuerySets based on user selections (transitional package)
- This is a dummy package to aid switching to python-django-filters.
-
-Package: python-django-filter
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: python-django-filters,
-         ${misc:Depends}
-Description: filter Django QuerySets based on user selections (transitional package)
- This is a dummy package to aid switching to python-django-filters.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,16 @@
 override_dh_auto_build:
 	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
 	dh_auto_build
+	set -e; \
+	for loc in django_filters/locale/*; do \
+		test -r $$loc/LC_MESSAGES/django.po &&\
+			python3 setup.py compile_catalog --directory django_filters/locale/ --locale $$(basename $$loc) --domain django; \
+	done
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
 	dh_auto_test -- --system=custom --test-args="{interpreter} ./runtests.py"
+
+override_dh_clean:
+	rm -rf docs/.build
+	dh_clean

## django-filter 2.1.0

=== debian/changelog ===
django-filter (2.1.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * Remove debian/pycompat, it's not used by any modern Python helper
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Antonio Terceiro ]
  * New upstream version
  * Refresh patches
    - add new language to
      0001-Fix-value-of-Language-fields-for-django.po-files.patch
  * Drop Python 2 package
  * 0002-Fix-date-in-po-file.patch: fix build of locale files
  * 0003-Pin-timezone-to-UTC.patch: import upstream patch to fix tests
    (https://github.com/carltongibson/django-filter/pull/1058)
  * Add debian/tests/control to run tests under autopkgtest
  * debian/control: bump Standards-Version to 4.4.0; no changes needed
    otherwise.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 09 Jul 2019 11:08:41 -0300

=== debian/control ===
Source: django-filter
Maintainer: Brian May <bam@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>=10),
               dh-python,
               python3-all,
               python3-django,
               python3-django-crispy-forms,
               python3-djangorestframework,
               python3-mock,
               python3-setuptools,
               python3-sphinx-rtd-theme
Build-Depends-Indep: libjs-jquery,
                     python3-babel,
                     python3-sphinx
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-filter
Vcs-Git: https://salsa.debian.org/python-team/modules/django-filter.git
Homepage: https://github.com/alex/django-filter

Package: python3-django-filters
Architecture: all
Depends: python3-django,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-django-filters-doc
Description: filter Django QuerySets based on user selections
 Django-filter is a generic, reusable application to alleviate some of the more
 mundane bits of view code. Specifically allowing the users to filter down a
 queryset based on a model’s fields and displaying the form to let them do this.

Package: python-django-filters-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Breaks: python-django-filter-doc (<< 0.6-2)
Replaces: python-django-filter-doc (<< 0.6-2)
Description: filter Django QuerySets based on user selections (Documentation)
 Django-filter is a generic, reusable application to alleviate some of the more
 mundane bits of view code. Specifically allowing the users to filter down a
 queryset based on a model’s fields and displaying the form to let them do this.
 .
 This package contains the documentation.

=== debian/tests/control ===
Test-Command: cp -r tests runtests.py ${AUTOPKGTEST_TMP}/ && cd ${AUTOPKGTEST_TMP} && python3 runtests.py 2>&1
Features: test-name=test-suite

## django-filter 2.4.0

=== debian/changelog ===
django-filter (2.4.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Antonio Terceiro ]
  * New upstream version 2.4.0
    - Builds just find against python3.9 (Closes: #973180)
  * Refresh patches
    - Drop 0003-Pin-timezone-to-UTC.patch, applied upstream.
  * autopkgtest: add test dependencies

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 15 Dec 2020 16:11:44 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>=10),
+Build-Depends: debhelper-compat (= 10),
                dh-python,
                python3-all,
                python3-django,
@@ -15,9 +15,9 @@
 Build-Depends-Indep: libjs-jquery,
                      python3-babel,
                      python3-sphinx
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-filter
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-filter.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-filter
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-filter.git
 Homepage: https://github.com/alex/django-filter
 
 Package: python3-django-filters

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,11 @@
 export PYBUILD_NAME=django-filters
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
+	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
 	dh_auto_build
 	set -e; \
 	for loc in django_filters/locale/*; do \

=== debian/tests/control ===
Test-Command: cp -r tests runtests.py ${AUTOPKGTEST_TMP}/ && cd ${AUTOPKGTEST_TMP} && python3 runtests.py 2>&1
Depends: @, @builddeps@
Features: test-name=test-suite

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-filter/django-filter-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-filter 22.1

=== debian/changelog ===
django-filter (22.1-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Add some more defaults
  * New upstream version 22.1
    (Closes: #1013487)
  * Rebuild patch queue from patch-queue branch
    Rename, adjust and refresh patches.
  * d/{t,}/control: Running wrap-and-sort -ast
  * d/control: Sorting binary packages alphabetical
  * d/control: Update Standards-Version to 4.6.1
    No further changes needed.
  * d/watch: Update to version 4
  * d/copyright: Update year data for license holder
  * d/control: Adjust content of Build-Depends-Indep
  * d/control: Bump debhelper to version 13
  * autopkgtest: Rework used test setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 06 Jul 2022 08:15:53 +0200

django-filter (2.4.0-2) unstable; urgency=medium

  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Apr 2022 01:56:03 -0400

=== debian/control ===
Source: django-filter
Maintainer: Brian May <bam@debian.org>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 libjs-jquery,
 pybuild-plugin-pyproject,
 python3-babel,
 python3-django,
 python3-django-crispy-forms,
 python3-djangorestframework,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-filter
Vcs-Git: https://salsa.debian.org/python-team/packages/django-filter.git
Homepage: https://github.com/alex/django-filter

Package: python-django-filters-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks:
 python-django-filter-doc (<< 0.6-2),
Replaces:
 python-django-filter-doc (<< 0.6-2),
Description: filter Django QuerySets based on user selections (Documentation)
 Django-filter is a generic, reusable application to alleviate some of the more
 mundane bits of view code. Specifically allowing the users to filter down a
 queryset based on a model’s fields and displaying the form to let them do this.
 .
 This package contains the documentation.

Package: python3-django-filters
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-filters-doc,
Description: filter Django QuerySets based on user selections (Python3)
 Django-filter is a generic, reusable application to alleviate some of the more
 mundane bits of view code. Specifically allowing the users to filter down a
 queryset based on a model’s fields and displaying the form to let them do this.
 .
 This package contains the Python 3 version of the library.

## django-filter 23.1

=== debian/changelog ===
django-filter (23.1-1) unstable; urgency=medium

  * Team upload
  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Carsten Schoenert ]
  * New upstream version 23.1
  * Rebuild patch queue from patch-queue branch
    Rebase existing patches against current source.
  * d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * d/control: Mark the -doc package Multi-Arch: foreign
  * d/u/metadata: Add more data fields

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 28 Mar 2023 18:04:42 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-filter
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-filter.git
 Homepage: https://github.com/alex/django-filter
@@ -26,6 +26,7 @@
 Package: python-django-filters-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},

=== debian/watch ===
# watch file for django-filter

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/carltongibson/django-filter.git \
      refs/tags/@ANY_VERSION@

## django-filter 23.2

=== debian/changelog ===
django-filter (23.2-3) unstable; urgency=medium

  * Team upload
  * d/rules: Run tests while build against {build_dir}
  * autopkgtest: Use installed package for testing
  * d/control: Switch over to use dh-sequence-* packages
  * d/rules: Remove --with option from default target
  * d/rules: Remove not needed .PHONY special targets
  * d/copyright: Update years of contributions
  * d/control: Add Build-Profile-Specs to Build-Depends
  * d/rules: Use dh_sphinxdoc to build -doc package
  * d/python-django-filters-doc.docs: Remove old sequencer

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 24 May 2023 17:45:07 +0200

django-filter (23.2-2) unstable; urgency=medium

  * Team upload
  * d/rules: Ensure *.mo files get included into the build

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 14 May 2023 08:34:16 +0200

django-filter (23.2-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Ignore any file named django.mo on import
  * New upstream version 23.2
  * d/control: Rules-Requires-Root: no

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 06 May 2023 11:39:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,19 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3-all,
 Build-Depends-Indep:
- dh-python,
- libjs-jquery,
  pybuild-plugin-pyproject,
  python3-babel,
- python3-django,
- python3-django-crispy-forms,
- python3-djangorestframework,
+ python3-django <!nocheck>,
+ python3-django-crispy-forms <!nodoc>,
+ python3-djangorestframework <!nocheck>,
  python3-setuptools,
- python3-sphinx,
- python3-sphinx-rtd-theme,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-filter
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-filter.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=django-filters

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	set -e; \
	for loc in django_filters/locale/*; do \
		test -r $$loc/LC_MESSAGES/django.po &&\
			python3 setup.py compile_catalog --directory django_filters/locale/ --locale $$(basename $$loc) --domain django; \
	done
	dh_auto_build

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-django-filters-doc/usr/share/doc/python-django-filters-doc/html
	rm -rf $(CURDIR)/debian/python-django-filters-doc/usr/share/doc/python-django-filters-doc/html/.doctrees
	dh_sphinxdoc
endif

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} ./runtests.py"

## django-filter 23.5

=== debian/changelog ===
django-filter (23.5-1) unstable; urgency=medium

  * Team upload
  * [35ad701] New upstream version 23.5

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 10 Dec 2023 07:24:34 +0100

django-filter (23.4-1) unstable; urgency=medium

  * Team upload
  * [db7585b] New upstream version 23.4

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 23 Nov 2023 14:07:41 +0000

django-filter (23.3post1-1) unstable; urgency=medium

  * Team upload
  * d/watch: Add compression typ gz
  * d/control: Update Homepage field
  * New upstream version 23.3post1
  * Rebuild patch queue from patch-queue branch
    Rebuild existing patches.
  * d/control: Update B-D after switch to flit
  * d/rules: Adjust the rebuild of locales

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 01 Nov 2023 18:07:06 +0100

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,19 @@
  dh-sequence-sphinxdoc,
  python3-all,
 Build-Depends-Indep:
+ flit,
+ furo  <!nodoc>,
  pybuild-plugin-pyproject,
  python3-babel,
  python3-django <!nocheck>,
  python3-django-crispy-forms <!nodoc>,
  python3-djangorestframework <!nocheck>,
- python3-setuptools,
  python3-sphinx <!nodoc>,
- python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-filter
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-filter.git
-Homepage: https://github.com/alex/django-filter
+Homepage: https://github.com/carltongibson/django-filter
 
 Package: python-django-filters-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,15 @@
 	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
-	set -e; \
-	for loc in django_filters/locale/*; do \
-		test -r $$loc/LC_MESSAGES/django.po &&\
-			python3 setup.py compile_catalog --directory django_filters/locale/ --locale $$(basename $$loc) --domain django; \
+	@echo
+	@echo "Rebuild the GNU message catalogs..."
+	@echo
+	@for lang in `find django_filters/locale/ -maxdepth 1 -type d | sort`; do \
+	    if [ -f $${lang}/LC_MESSAGES/django.po ]; then \
+	        LANG=`basename $${lang}` ;\
+	        echo "Create message catalog for '$${LANG}'" ;\
+	        msgfmt -v $${lang}/LC_MESSAGES/django.po -o $${lang}/LC_MESSAGES/django.mo ;\
+	    fi ;\
 	done
 	dh_auto_build

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/carltongibson/django-filter.git \

## django-filter 24.2

=== debian/changelog ===
django-filter (24.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 24.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 29 Mar 2024 15:06:14 +0100

django-filter (24.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 24.1
  * Rebuild patch queue from patch-queue branch
    Rebuild existing patches.
  * d/copyright: Update years of contributions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 15 Mar 2024 19:52:20 +0100

## django-filter 24.3

=== debian/changelog ===
django-filter (24.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 24.3
  * Rebuild patch queue from patch-queue branch
    Adjusted/updated patch:
    l10n-Fix-value-of-Language-fields-in-django.po-files.patch
  * d/control: Update Standards-Version to 4.7.0
    No further changes needed.
  * d/rules: Drop -D option from SPHINXOPTS

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 27 Dec 2024 14:33:08 +0200

## django-filter 25.1

=== debian/changelog ===
django-filter (25.1-2) unstable; urgency=medium

  * Team upload.
  * Set DPT as Maintainer per new Team Policy
  * d/control: Update Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Mar 2025 14:54:16 +0200

django-filter (25.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 25.1
  * d/copyright: Update years of contributions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 17 Feb 2025 16:19:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: django-filter
-Maintainer: Brian May <bam@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Debian Python Team <team+python@tracker.debian.org>,
+ Brian May <bam@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
@@ -19,7 +19,7 @@
  python3-djangorestframework <!nocheck>,
  python3-sphinx <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-filter
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-filter.git
 Homepage: https://github.com/carltongibson/django-filter

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,7 @@
 
 #export DH_VERBOSE=1
 
-include /usr/share/dpkg/pkg-info.mk
-
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
-SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
+SPHINXOPTS := -E -N
 
 export PYBUILD_NAME=django-filters

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 @,
 @builddeps@,
Restrictions:
 allow-stderr
